Update SDK Connection settings in a draft revision
Stages settings changes on the draft. Takes the same fields as PUT /sdk-connections/{id}, and only the fields sent are changed. Pass version: "new" to create the draft. Nothing changes on the live SDK Connection until the revision is published.
curl -X PUT 'https://api.growthbook.io/api/v1/sdk-connections-revisions/sdk_abc123/new/settings' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"includeRuleIds":true}'import requests
url = "https://api.growthbook.io/api/v1/sdk-connections-revisions/{id}/{version}/settings"
payload = {
"name": "<string>",
"language": "<string>",
"sdkVersion": "<string>",
"environment": "<string>",
"projects": ["<string>"],
"encryptPayload": True,
"includeVisualExperiments": True,
"includeDraftExperiments": True,
"includeDraftExperimentRefs": True,
"includeExperimentNames": True,
"includeRedirectExperiments": True,
"includeRuleIds": True,
"includeProjectIdInMetadata": True,
"includeCustomFieldsInMetadata": True,
"allowedCustomFieldsInMetadata": ["<string>"],
"includeTagsInMetadata": True,
"includeExperimentScheduleInMetadata": True,
"tracesEnabled": True,
"proxyEnabled": True,
"proxyHost": "<string>",
"hashSecureAttributes": True,
"remoteEvalEnabled": True,
"savedGroupReferencesEnabled": True,
"includeReferencedPrerequisites": True,
"ignoreWarnings": True,
"skipHooks": True,
"revisionTitle": "<string>",
"revisionComment": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
language: '<string>',
sdkVersion: '<string>',
environment: '<string>',
projects: ['<string>'],
encryptPayload: true,
includeVisualExperiments: true,
includeDraftExperiments: true,
includeDraftExperimentRefs: true,
includeExperimentNames: true,
includeRedirectExperiments: true,
includeRuleIds: true,
includeProjectIdInMetadata: true,
includeCustomFieldsInMetadata: true,
allowedCustomFieldsInMetadata: ['<string>'],
includeTagsInMetadata: true,
includeExperimentScheduleInMetadata: true,
tracesEnabled: true,
proxyEnabled: true,
proxyHost: '<string>',
hashSecureAttributes: true,
remoteEvalEnabled: true,
savedGroupReferencesEnabled: true,
includeReferencedPrerequisites: true,
ignoreWarnings: true,
skipHooks: true,
revisionTitle: '<string>',
revisionComment: '<string>'
})
};
fetch('https://api.growthbook.io/api/v1/sdk-connections-revisions/{id}/{version}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.growthbook.io/api/v1/sdk-connections-revisions/{id}/{version}/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'language' => '<string>',
'sdkVersion' => '<string>',
'environment' => '<string>',
'projects' => [
'<string>'
],
'encryptPayload' => true,
'includeVisualExperiments' => true,
'includeDraftExperiments' => true,
'includeDraftExperimentRefs' => true,
'includeExperimentNames' => true,
'includeRedirectExperiments' => true,
'includeRuleIds' => true,
'includeProjectIdInMetadata' => true,
'includeCustomFieldsInMetadata' => true,
'allowedCustomFieldsInMetadata' => [
'<string>'
],
'includeTagsInMetadata' => true,
'includeExperimentScheduleInMetadata' => true,
'tracesEnabled' => true,
'proxyEnabled' => true,
'proxyHost' => '<string>',
'hashSecureAttributes' => true,
'remoteEvalEnabled' => true,
'savedGroupReferencesEnabled' => true,
'includeReferencedPrerequisites' => true,
'ignoreWarnings' => true,
'skipHooks' => true,
'revisionTitle' => '<string>',
'revisionComment' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.growthbook.io/api/v1/sdk-connections-revisions/{id}/{version}/settings"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"language\": \"<string>\",\n \"sdkVersion\": \"<string>\",\n \"environment\": \"<string>\",\n \"projects\": [\n \"<string>\"\n ],\n \"encryptPayload\": true,\n \"includeVisualExperiments\": true,\n \"includeDraftExperiments\": true,\n \"includeDraftExperimentRefs\": true,\n \"includeExperimentNames\": true,\n \"includeRedirectExperiments\": true,\n \"includeRuleIds\": true,\n \"includeProjectIdInMetadata\": true,\n \"includeCustomFieldsInMetadata\": true,\n \"allowedCustomFieldsInMetadata\": [\n \"<string>\"\n ],\n \"includeTagsInMetadata\": true,\n \"includeExperimentScheduleInMetadata\": true,\n \"tracesEnabled\": true,\n \"proxyEnabled\": true,\n \"proxyHost\": \"<string>\",\n \"hashSecureAttributes\": true,\n \"remoteEvalEnabled\": true,\n \"savedGroupReferencesEnabled\": true,\n \"includeReferencedPrerequisites\": true,\n \"ignoreWarnings\": true,\n \"skipHooks\": true,\n \"revisionTitle\": \"<string>\",\n \"revisionComment\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.growthbook.io/api/v1/sdk-connections-revisions/{id}/{version}/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"language\": \"<string>\",\n \"sdkVersion\": \"<string>\",\n \"environment\": \"<string>\",\n \"projects\": [\n \"<string>\"\n ],\n \"encryptPayload\": true,\n \"includeVisualExperiments\": true,\n \"includeDraftExperiments\": true,\n \"includeDraftExperimentRefs\": true,\n \"includeExperimentNames\": true,\n \"includeRedirectExperiments\": true,\n \"includeRuleIds\": true,\n \"includeProjectIdInMetadata\": true,\n \"includeCustomFieldsInMetadata\": true,\n \"allowedCustomFieldsInMetadata\": [\n \"<string>\"\n ],\n \"includeTagsInMetadata\": true,\n \"includeExperimentScheduleInMetadata\": true,\n \"tracesEnabled\": true,\n \"proxyEnabled\": true,\n \"proxyHost\": \"<string>\",\n \"hashSecureAttributes\": true,\n \"remoteEvalEnabled\": true,\n \"savedGroupReferencesEnabled\": true,\n \"includeReferencedPrerequisites\": true,\n \"ignoreWarnings\": true,\n \"skipHooks\": true,\n \"revisionTitle\": \"<string>\",\n \"revisionComment\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.growthbook.io/api/v1/sdk-connections-revisions/{id}/{version}/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"language\": \"<string>\",\n \"sdkVersion\": \"<string>\",\n \"environment\": \"<string>\",\n \"projects\": [\n \"<string>\"\n ],\n \"encryptPayload\": true,\n \"includeVisualExperiments\": true,\n \"includeDraftExperiments\": true,\n \"includeDraftExperimentRefs\": true,\n \"includeExperimentNames\": true,\n \"includeRedirectExperiments\": true,\n \"includeRuleIds\": true,\n \"includeProjectIdInMetadata\": true,\n \"includeCustomFieldsInMetadata\": true,\n \"allowedCustomFieldsInMetadata\": [\n \"<string>\"\n ],\n \"includeTagsInMetadata\": true,\n \"includeExperimentScheduleInMetadata\": true,\n \"tracesEnabled\": true,\n \"proxyEnabled\": true,\n \"proxyHost\": \"<string>\",\n \"hashSecureAttributes\": true,\n \"remoteEvalEnabled\": true,\n \"savedGroupReferencesEnabled\": true,\n \"includeReferencedPrerequisites\": true,\n \"ignoreWarnings\": true,\n \"skipHooks\": true,\n \"revisionTitle\": \"<string>\",\n \"revisionComment\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"revision": {
"id": "<string>",
"status": "draft",
"authorId": "<string>",
"reviews": [
{
"id": "<string>",
"userId": "<string>",
"decision": "approve",
"dateCreated": "2023-11-07T05:31:56Z",
"comment": "<string>",
"stale": true,
"user": {
"type": "dashboard",
"id": "<string>",
"apiKey": "<string>",
"name": "<string>",
"email": "<string>",
"requestedBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"assumedRole": true
}
}
],
"activityLog": [
{
"id": "<string>",
"userId": "<string>",
"action": "created",
"dateCreated": "2023-11-07T05:31:56Z",
"description": "<string>",
"proposedChangesSnapshot": [
{
"op": "add",
"path": "<string>",
"value": "<unknown>"
}
],
"targetSnapshot": "<unknown>",
"user": {
"type": "dashboard",
"id": "<string>",
"apiKey": "<string>",
"name": "<string>",
"email": "<string>",
"requestedBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"assumedRole": true
}
}
],
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"baseSdkConnection": {
"id": "<string>",
"name": "<string>",
"languages": [
"<string>"
],
"environment": "<string>",
"projects": [
"<string>"
],
"encryptPayload": true,
"eventTracker": "<string>",
"sdkVersion": "<string>",
"hashSecureAttributes": true,
"includeVisualExperiments": true,
"includeDraftExperiments": true,
"includeDraftExperimentRefs": true,
"includeExperimentNames": true,
"includeRedirectExperiments": true,
"includeRuleIds": true,
"includeProjectIdInMetadata": true,
"includeCustomFieldsInMetadata": true,
"allowedCustomFieldsInMetadata": [
"<string>"
],
"includeTagsInMetadata": true,
"includeExperimentScheduleInMetadata": true,
"remoteEvalEnabled": true,
"tracesEnabled": true,
"savedGroupReferencesEnabled": true,
"savedGroupFormat": "inline",
"includeReferencedPrerequisites": true,
"proxyEnabled": true,
"proxyHost": "<string>",
"archived": true
},
"proposedSdkConnection": {
"id": "<string>",
"name": "<string>",
"languages": [
"<string>"
],
"environment": "<string>",
"projects": [
"<string>"
],
"encryptPayload": true,
"eventTracker": "<string>",
"sdkVersion": "<string>",
"hashSecureAttributes": true,
"includeVisualExperiments": true,
"includeDraftExperiments": true,
"includeDraftExperimentRefs": true,
"includeExperimentNames": true,
"includeRedirectExperiments": true,
"includeRuleIds": true,
"includeProjectIdInMetadata": true,
"includeCustomFieldsInMetadata": true,
"allowedCustomFieldsInMetadata": [
"<string>"
],
"includeTagsInMetadata": true,
"includeExperimentScheduleInMetadata": true,
"remoteEvalEnabled": true,
"tracesEnabled": true,
"savedGroupReferencesEnabled": true,
"savedGroupFormat": "inline",
"includeReferencedPrerequisites": true,
"proxyEnabled": true,
"proxyHost": "<string>",
"archived": true
},
"baseSdkWebhooks": [
{
"id": "<string>",
"name": "<string>",
"endpoint": "<string>",
"httpMethod": "GET",
"headers": "<string>",
"payloadFormat": "standard",
"payloadKey": "<string>",
"timeoutSeconds": 2
}
],
"proposedSdkWebhooks": [
{
"id": "<string>",
"name": "<string>",
"endpoint": "<string>",
"httpMethod": "GET",
"headers": "<string>",
"payloadFormat": "standard",
"payloadKey": "<string>",
"timeoutSeconds": 2
}
],
"proposedChanges": [
{
"op": "add",
"path": "<string>",
"value": "<unknown>"
}
],
"version": 123,
"title": "<string>",
"author": {
"type": "dashboard",
"id": "<string>",
"apiKey": "<string>",
"name": "<string>",
"email": "<string>",
"requestedBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"assumedRole": true
},
"contributors": [
"<string>"
],
"revertedFrom": "<string>",
"autoPublishOnApproval": true,
"autoPublishEnabledBy": "<string>",
"autoPublishEnabledByUser": {
"type": "dashboard",
"id": "<string>",
"apiKey": "<string>",
"name": "<string>",
"email": "<string>",
"requestedBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"assumedRole": true
},
"scheduledPublishAt": "2023-11-07T05:31:56Z",
"scheduledPublishLockEdits": true,
"scheduledPublishLockOthers": true,
"scheduledPublishBypassApproval": true,
"scheduledPublishAttempts": 123,
"scheduledPublishLastError": "<string>",
"scheduledPublishGaveUpAt": "2023-11-07T05:31:56Z",
"resolution": {
"action": "merged",
"userId": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"user": {
"type": "dashboard",
"id": "<string>",
"apiKey": "<string>",
"name": "<string>",
"email": "<string>",
"requestedBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"assumedRole": true
}
}
}
}{
"confirmation": {
"id": "<string>",
"status": "pending",
"actions": [
{
"action": "feature.create",
"environments": [
"<string>"
]
}
],
"summary": "<string>",
"url": "<string>",
"expiresAt": "<string>",
"response": {
"status": 123,
"body": "<unknown>"
},
"note": "<string>"
},
"message": "<string>"
}Authorizations
Pass your API key as the Bearer token. See Authentication.
Body
Set to true to continue past a warning: one raised by a Custom Hook, or a webhook that references a secret that doesn't exist. On publish, it also force-publishes an out-of-date draft when the caller has Bypass draft approvals access. It never clears a Custom Hook rejection. Only set this when a person has explicitly asked you to. If a check blocks you, stop and ask a person instead of working around it.
Set to true to continue despite a Custom Hook rejection. The caller must have Bypass draft approvals access for SDK Connections in every Project. Otherwise, this field is ignored. Only set this when a person has explicitly asked you to. If a check blocks you, stop and ask a person instead of working around it.
Was this page helpful?
curl -X PUT 'https://api.growthbook.io/api/v1/sdk-connections-revisions/sdk_abc123/new/settings' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"includeRuleIds":true}'import requests
url = "https://api.growthbook.io/api/v1/sdk-connections-revisions/{id}/{version}/settings"
payload = {
"name": "<string>",
"language": "<string>",
"sdkVersion": "<string>",
"environment": "<string>",
"projects": ["<string>"],
"encryptPayload": True,
"includeVisualExperiments": True,
"includeDraftExperiments": True,
"includeDraftExperimentRefs": True,
"includeExperimentNames": True,
"includeRedirectExperiments": True,
"includeRuleIds": True,
"includeProjectIdInMetadata": True,
"includeCustomFieldsInMetadata": True,
"allowedCustomFieldsInMetadata": ["<string>"],
"includeTagsInMetadata": True,
"includeExperimentScheduleInMetadata": True,
"tracesEnabled": True,
"proxyEnabled": True,
"proxyHost": "<string>",
"hashSecureAttributes": True,
"remoteEvalEnabled": True,
"savedGroupReferencesEnabled": True,
"includeReferencedPrerequisites": True,
"ignoreWarnings": True,
"skipHooks": True,
"revisionTitle": "<string>",
"revisionComment": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
language: '<string>',
sdkVersion: '<string>',
environment: '<string>',
projects: ['<string>'],
encryptPayload: true,
includeVisualExperiments: true,
includeDraftExperiments: true,
includeDraftExperimentRefs: true,
includeExperimentNames: true,
includeRedirectExperiments: true,
includeRuleIds: true,
includeProjectIdInMetadata: true,
includeCustomFieldsInMetadata: true,
allowedCustomFieldsInMetadata: ['<string>'],
includeTagsInMetadata: true,
includeExperimentScheduleInMetadata: true,
tracesEnabled: true,
proxyEnabled: true,
proxyHost: '<string>',
hashSecureAttributes: true,
remoteEvalEnabled: true,
savedGroupReferencesEnabled: true,
includeReferencedPrerequisites: true,
ignoreWarnings: true,
skipHooks: true,
revisionTitle: '<string>',
revisionComment: '<string>'
})
};
fetch('https://api.growthbook.io/api/v1/sdk-connections-revisions/{id}/{version}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.growthbook.io/api/v1/sdk-connections-revisions/{id}/{version}/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'language' => '<string>',
'sdkVersion' => '<string>',
'environment' => '<string>',
'projects' => [
'<string>'
],
'encryptPayload' => true,
'includeVisualExperiments' => true,
'includeDraftExperiments' => true,
'includeDraftExperimentRefs' => true,
'includeExperimentNames' => true,
'includeRedirectExperiments' => true,
'includeRuleIds' => true,
'includeProjectIdInMetadata' => true,
'includeCustomFieldsInMetadata' => true,
'allowedCustomFieldsInMetadata' => [
'<string>'
],
'includeTagsInMetadata' => true,
'includeExperimentScheduleInMetadata' => true,
'tracesEnabled' => true,
'proxyEnabled' => true,
'proxyHost' => '<string>',
'hashSecureAttributes' => true,
'remoteEvalEnabled' => true,
'savedGroupReferencesEnabled' => true,
'includeReferencedPrerequisites' => true,
'ignoreWarnings' => true,
'skipHooks' => true,
'revisionTitle' => '<string>',
'revisionComment' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.growthbook.io/api/v1/sdk-connections-revisions/{id}/{version}/settings"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"language\": \"<string>\",\n \"sdkVersion\": \"<string>\",\n \"environment\": \"<string>\",\n \"projects\": [\n \"<string>\"\n ],\n \"encryptPayload\": true,\n \"includeVisualExperiments\": true,\n \"includeDraftExperiments\": true,\n \"includeDraftExperimentRefs\": true,\n \"includeExperimentNames\": true,\n \"includeRedirectExperiments\": true,\n \"includeRuleIds\": true,\n \"includeProjectIdInMetadata\": true,\n \"includeCustomFieldsInMetadata\": true,\n \"allowedCustomFieldsInMetadata\": [\n \"<string>\"\n ],\n \"includeTagsInMetadata\": true,\n \"includeExperimentScheduleInMetadata\": true,\n \"tracesEnabled\": true,\n \"proxyEnabled\": true,\n \"proxyHost\": \"<string>\",\n \"hashSecureAttributes\": true,\n \"remoteEvalEnabled\": true,\n \"savedGroupReferencesEnabled\": true,\n \"includeReferencedPrerequisites\": true,\n \"ignoreWarnings\": true,\n \"skipHooks\": true,\n \"revisionTitle\": \"<string>\",\n \"revisionComment\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.growthbook.io/api/v1/sdk-connections-revisions/{id}/{version}/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"language\": \"<string>\",\n \"sdkVersion\": \"<string>\",\n \"environment\": \"<string>\",\n \"projects\": [\n \"<string>\"\n ],\n \"encryptPayload\": true,\n \"includeVisualExperiments\": true,\n \"includeDraftExperiments\": true,\n \"includeDraftExperimentRefs\": true,\n \"includeExperimentNames\": true,\n \"includeRedirectExperiments\": true,\n \"includeRuleIds\": true,\n \"includeProjectIdInMetadata\": true,\n \"includeCustomFieldsInMetadata\": true,\n \"allowedCustomFieldsInMetadata\": [\n \"<string>\"\n ],\n \"includeTagsInMetadata\": true,\n \"includeExperimentScheduleInMetadata\": true,\n \"tracesEnabled\": true,\n \"proxyEnabled\": true,\n \"proxyHost\": \"<string>\",\n \"hashSecureAttributes\": true,\n \"remoteEvalEnabled\": true,\n \"savedGroupReferencesEnabled\": true,\n \"includeReferencedPrerequisites\": true,\n \"ignoreWarnings\": true,\n \"skipHooks\": true,\n \"revisionTitle\": \"<string>\",\n \"revisionComment\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.growthbook.io/api/v1/sdk-connections-revisions/{id}/{version}/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"language\": \"<string>\",\n \"sdkVersion\": \"<string>\",\n \"environment\": \"<string>\",\n \"projects\": [\n \"<string>\"\n ],\n \"encryptPayload\": true,\n \"includeVisualExperiments\": true,\n \"includeDraftExperiments\": true,\n \"includeDraftExperimentRefs\": true,\n \"includeExperimentNames\": true,\n \"includeRedirectExperiments\": true,\n \"includeRuleIds\": true,\n \"includeProjectIdInMetadata\": true,\n \"includeCustomFieldsInMetadata\": true,\n \"allowedCustomFieldsInMetadata\": [\n \"<string>\"\n ],\n \"includeTagsInMetadata\": true,\n \"includeExperimentScheduleInMetadata\": true,\n \"tracesEnabled\": true,\n \"proxyEnabled\": true,\n \"proxyHost\": \"<string>\",\n \"hashSecureAttributes\": true,\n \"remoteEvalEnabled\": true,\n \"savedGroupReferencesEnabled\": true,\n \"includeReferencedPrerequisites\": true,\n \"ignoreWarnings\": true,\n \"skipHooks\": true,\n \"revisionTitle\": \"<string>\",\n \"revisionComment\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"revision": {
"id": "<string>",
"status": "draft",
"authorId": "<string>",
"reviews": [
{
"id": "<string>",
"userId": "<string>",
"decision": "approve",
"dateCreated": "2023-11-07T05:31:56Z",
"comment": "<string>",
"stale": true,
"user": {
"type": "dashboard",
"id": "<string>",
"apiKey": "<string>",
"name": "<string>",
"email": "<string>",
"requestedBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"assumedRole": true
}
}
],
"activityLog": [
{
"id": "<string>",
"userId": "<string>",
"action": "created",
"dateCreated": "2023-11-07T05:31:56Z",
"description": "<string>",
"proposedChangesSnapshot": [
{
"op": "add",
"path": "<string>",
"value": "<unknown>"
}
],
"targetSnapshot": "<unknown>",
"user": {
"type": "dashboard",
"id": "<string>",
"apiKey": "<string>",
"name": "<string>",
"email": "<string>",
"requestedBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"assumedRole": true
}
}
],
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"baseSdkConnection": {
"id": "<string>",
"name": "<string>",
"languages": [
"<string>"
],
"environment": "<string>",
"projects": [
"<string>"
],
"encryptPayload": true,
"eventTracker": "<string>",
"sdkVersion": "<string>",
"hashSecureAttributes": true,
"includeVisualExperiments": true,
"includeDraftExperiments": true,
"includeDraftExperimentRefs": true,
"includeExperimentNames": true,
"includeRedirectExperiments": true,
"includeRuleIds": true,
"includeProjectIdInMetadata": true,
"includeCustomFieldsInMetadata": true,
"allowedCustomFieldsInMetadata": [
"<string>"
],
"includeTagsInMetadata": true,
"includeExperimentScheduleInMetadata": true,
"remoteEvalEnabled": true,
"tracesEnabled": true,
"savedGroupReferencesEnabled": true,
"savedGroupFormat": "inline",
"includeReferencedPrerequisites": true,
"proxyEnabled": true,
"proxyHost": "<string>",
"archived": true
},
"proposedSdkConnection": {
"id": "<string>",
"name": "<string>",
"languages": [
"<string>"
],
"environment": "<string>",
"projects": [
"<string>"
],
"encryptPayload": true,
"eventTracker": "<string>",
"sdkVersion": "<string>",
"hashSecureAttributes": true,
"includeVisualExperiments": true,
"includeDraftExperiments": true,
"includeDraftExperimentRefs": true,
"includeExperimentNames": true,
"includeRedirectExperiments": true,
"includeRuleIds": true,
"includeProjectIdInMetadata": true,
"includeCustomFieldsInMetadata": true,
"allowedCustomFieldsInMetadata": [
"<string>"
],
"includeTagsInMetadata": true,
"includeExperimentScheduleInMetadata": true,
"remoteEvalEnabled": true,
"tracesEnabled": true,
"savedGroupReferencesEnabled": true,
"savedGroupFormat": "inline",
"includeReferencedPrerequisites": true,
"proxyEnabled": true,
"proxyHost": "<string>",
"archived": true
},
"baseSdkWebhooks": [
{
"id": "<string>",
"name": "<string>",
"endpoint": "<string>",
"httpMethod": "GET",
"headers": "<string>",
"payloadFormat": "standard",
"payloadKey": "<string>",
"timeoutSeconds": 2
}
],
"proposedSdkWebhooks": [
{
"id": "<string>",
"name": "<string>",
"endpoint": "<string>",
"httpMethod": "GET",
"headers": "<string>",
"payloadFormat": "standard",
"payloadKey": "<string>",
"timeoutSeconds": 2
}
],
"proposedChanges": [
{
"op": "add",
"path": "<string>",
"value": "<unknown>"
}
],
"version": 123,
"title": "<string>",
"author": {
"type": "dashboard",
"id": "<string>",
"apiKey": "<string>",
"name": "<string>",
"email": "<string>",
"requestedBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"assumedRole": true
},
"contributors": [
"<string>"
],
"revertedFrom": "<string>",
"autoPublishOnApproval": true,
"autoPublishEnabledBy": "<string>",
"autoPublishEnabledByUser": {
"type": "dashboard",
"id": "<string>",
"apiKey": "<string>",
"name": "<string>",
"email": "<string>",
"requestedBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"assumedRole": true
},
"scheduledPublishAt": "2023-11-07T05:31:56Z",
"scheduledPublishLockEdits": true,
"scheduledPublishLockOthers": true,
"scheduledPublishBypassApproval": true,
"scheduledPublishAttempts": 123,
"scheduledPublishLastError": "<string>",
"scheduledPublishGaveUpAt": "2023-11-07T05:31:56Z",
"resolution": {
"action": "merged",
"userId": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"user": {
"type": "dashboard",
"id": "<string>",
"apiKey": "<string>",
"name": "<string>",
"email": "<string>",
"requestedBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"assumedRole": true
}
}
}
}{
"confirmation": {
"id": "<string>",
"status": "pending",
"actions": [
{
"action": "feature.create",
"environments": [
"<string>"
]
}
],
"summary": "<string>",
"url": "<string>",
"expiresAt": "<string>",
"response": {
"status": 123,
"body": "<unknown>"
},
"note": "<string>"
},
"message": "<string>"
}
